<!DOCTYPE html PUBLIC "-//w3c//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!-- sorting.php - An example to illustrate several of the
     sorting functions -->
<html>
<head> <title> Sorting </title>
</head>
<body>
<?php
$original = array("Fred" => 31, "Al" => 27, "Gandalf" => "wizzard",
                  "Betty" => 42, "Frodo" => "hobbit");
?>
<h4> Original Array </h4>
<?php
foreach ($original as $key => $value)
  print("[$key] => $value <br />");

$new = $original;
sort($new);
?>
<h4> Array sorted with sort </h4>
<?php
foreach ($new as $key => $value)
  print("[$key] = $value <br />");
 
$new = $original;
sort($new, SORT_NUMERIC);
?>
<h4> Array sorted with sort and SORT_NUMERIC </h4>
<?php
foreach ($new as $key => $value)
  print("[$key] = $value <br />");

$new = $original;
rsort($new);
?>
<h4> Array sorted with rsort </h4>
<?php
foreach ($new as $key => $value)
  print("[$key] = $value <br />");

$new = $original;
asort($new);
?>
<h4> Array sorted with asort </h4>
<?php
foreach ($new as $key => $value)
  print("[$key] = $value <br />");

$new = $original;
arsort($new);
?>
<h4> Array sorted with arsort </h4>
<?php
foreach ($new as $key => $value)
  print("[$key] = $value <br />");
?>
</body>
</html>

